/*
margin.c Version 0.2.0 Create the margin font m.fnt
Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: margin >m.fnt */

/* This program creates a new font type called "m". */
/* The purpose of "m" is to provide a blank margin around */
/* a go diagram. */

#include <stdio.h>
#include <stdlib.h>

#define FNT (27)
#define FNTSZ (FNT * FNT)

int main()
   {
   int i,wrtlen;
   unsigned char *p,*q;
   unsigned char buf[FNTSZ*FNTSZ];
   p = buf;
   q = p + FNTSZ;
   while (p < q) *p++ = (unsigned char) 255;
   wrtlen = write(1,buf,FNTSZ);
   if (wrtlen == FNTSZ) return(0);
   else
      {
      fprintf(stderr,"Write len %d\n", wrtlen);
      perror("Write error");
      exit(1);
      } /* write error */
   } /* main */
