#!/bin/bash

# ppm2fnt.sh Version 0.2.0 Convert all .ppm files to .fnt format
# Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

# First remove all .ppm files from the current directory.
# Then, run gif2ppm.sh.
# Then run ppm2fnt.sh.
# Create the font directory name.
# Move all .fnt files created by ppm2fnt.sh to the new directory.
# Clean out the .gif and .ppm files from the current
#    working directory.

ls *.ppm |
while read FN
do
	BN=` basename $FN .ppm `
	FNT=` u2l $BN `
	echo "$FN $BN $FNT"
	ppm2fnt <$FN >$FNT.fnt
done
