/*
u2l.c Version 0.2.0 Command to convert upper case to lower case.
Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: u2l filename */

/* The output of u2l is the file name in lower case */
/* The parameter must be enclosed in quotes if there */
/* are embedded spaces */

/* This program is used by ppm2fnt.sh */

#include <stdio.h>
#include <stdlib.h>

void putstx(char *pgm)
   {
   fprintf(stderr,"Usage: %s string\n", pgm);
   fprintf(stderr,"Example: %s \"ABC DEF\"\n", pgm);
   fprintf(stderr,"Result: abc def\n");
   exit(1);
   } /* putstx */

int main(argc,argv)
int argc;
char **argv;
   {
   int ch;
   char *p,*q,*r;
   char str[1024];
   if (argc != 2) putstx(*argv);
   p = *(argv+1);
   q = p + 1024;
   r = str;
   while (p < q && *p != '\0')
      {
      *r++ = tolower(*p++);
      }
   printf("%s", str);
   return(0);
   } /* main */
